PULSAR
API ReferenceBackoffice

Patch Machine Mapping

Create machines in bulk

Authorization

bearerAuth superuser
Authorization<token>

In: header

Scope: superuser

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

Try it live
PATCH
/backoffice/machines/mapping

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X PATCH "https://example.com/backoffice/machines/mapping" \  -H "Content-Type: application/json" \  -d '{    "companyId": 0.1,    "addedMappings": [      {        "machineRef": "string",        "nodeId": 0.1,        "sensorId": 0.1,        "aggregationFunction": "string"      }    ],    "deletedMappings": [      {        "machineMapId": 0.1      }    ],    "addedMachines": [      {        "machineRef": "string",        "machineName": "string"      }    ],    "deletedMachines": [      {        "machineRef": "string",        "machineName": "string"      }    ]  }'
Empty